Bug 1292979 - [abrt] swami: g_type_fundamental(): swami killed by SIGSEGV
[abrt] swami: g_type_fundamental(): swami killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: swami (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fa1ed1eb94455fcbb2d2d8097cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 18:06 EST by Francisco de la Peña
Modified: 2016-12-20 12:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.92 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: core_backtrace (7.91 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: dso_list (10.29 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: environ (3.11 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: maps (49.39 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: mountinfo (3.47 KB, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: open_fds (693 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-12-18 18:06 EST, Francisco de la Peña
no flags Details

  None (edit)
Description Francisco de la Peña 2015-12-18 18:06:04 EST
Version-Release number of selected component:
swami-2.0.0-10.20110806svn386.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        swami -p
crash_function: g_type_fundamental
executable:     /usr/bin/swami
global_pid:     24587
kernel:         4.2.6-libre.301.fc23.gnu.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_fundamental at gtype.c:4005
 #2 swamigui_new_item at /usr/src/debug/swami-2.0.0/src/swamigui/patch_funcs.c:418
 #3 swamigui_item_menu_callback_activate at /usr/src/debug/swami-2.0.0/src/swamigui/SwamiguiItemMenu.c:431
 #8 gtk_widget_activate at gtkwidget.c:5048
 #9 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #10 gtk_menu_shell_button_release at gtkmenushell.c:730
 #11 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #16 gtk_widget_event_internal at gtkwidget.c:5017
 #17 gtk_widget_event at gtkwidget.c:4814
 #18 gtk_propagate_event at gtkmain.c:2501
Comment 1 Francisco de la Peña 2015-12-18 18:06:08 EST
Created attachment 1107501 [details]
File: backtrace
Comment 2 Francisco de la Peña 2015-12-18 18:06:09 EST
Created attachment 1107502 [details]
File: cgroup
Comment 3 Francisco de la Peña 2015-12-18 18:06:10 EST
Created attachment 1107503 [details]
File: core_backtrace
Comment 4 Francisco de la Peña 2015-12-18 18:06:11 EST
Created attachment 1107504 [details]
File: dso_list
Comment 5 Francisco de la Peña 2015-12-18 18:06:13 EST
Created attachment 1107505 [details]
File: environ
Comment 6 Francisco de la Peña 2015-12-18 18:06:14 EST
Created attachment 1107506 [details]
File: exploitable
Comment 7 Francisco de la Peña 2015-12-18 18:06:15 EST
Created attachment 1107507 [details]
File: limits
Comment 8 Francisco de la Peña 2015-12-18 18:06:17 EST
Created attachment 1107508 [details]
File: maps
Comment 9 Francisco de la Peña 2015-12-18 18:06:18 EST
Created attachment 1107509 [details]
File: mountinfo
Comment 10 Francisco de la Peña 2015-12-18 18:06:19 EST
Created attachment 1107510 [details]
File: namespaces
Comment 11 Francisco de la Peña 2015-12-18 18:06:20 EST
Created attachment 1107511 [details]
File: open_fds
Comment 12 Francisco de la Peña 2015-12-18 18:06:21 EST
Created attachment 1107512 [details]
File: proc_pid_status
Comment 13 Francisco de la Peña 2015-12-18 18:06:22 EST
Created attachment 1107513 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:21:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Chris Turner 2016-12-10 21:15:39 EST
Hello -

Ran into this as well -
Though I didn't track down the actual bug, it looks like the 
dependency libraries have shifted out from underneath the package -

I started to attempt a rebuild from the srpm, but cross checking the SRPM
sources against upstream before I started this shows that the package itself 
is wildly out of date - For example:

The package is based on SVN? sources, but the project switched to GIT some
time ago, and also the older sources used autotools for the build
whereas currently the project has switched to cmake based builds.

Following the from source build instructions on the upstream site yielded 
a working swami on Fedora 24 after installing needed -devel packages, minor
environment settings, etc though I did this a few weeks a go in a pinch and didn't report findings here, so I might have forgotton some small things.
Someone who is mildly comfortable with from-source builds should probably
not have any trouble here.

I've saved my shell history and will probably attempt another, 
cleaner run at some point whenever I move over to fedora 25, at which
point I should be able to provide clean steps - from there, someone with
good package knowledge might be able to assist with a git+cmake based update
to the spec.
Comment 16 Fedora End Of Life 2016-12-20 12:10:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.